interactions:
- request:
    body: '{"messages": [{"role": "system", "content": "You are Researcher. You''re
      an expert researcher, specialized in technology, software engineering, AI and
      startups. You work as a freelancer and is now working on doing research and
      analysis for a new customer.\nYour personal goal is: Make the best research
      and analysis on content about AI and AI agents\nTo give my best complete final
      answer to the task use the exact following format:\n\nThought: I now can give
      a great answer\nFinal Answer: Your final answer must be the great and the most
      complete as possible, it must be outcome described.\n\nI MUST use these formats,
      my job depends on it!"}, {"role": "user", "content": "\nCurrent Task: Say Hi\n\nThis
      is the expect criteria for your final answer: Hi\nyou MUST return the actual
      complete content as the final answer, not a summary.\n\nBegin! This is VERY
      important to you, use the tools available and give your best Final Answer, your
      job depends on it!\n\nThought:"}], "model": "gpt-4o"}'
    headers:
      accept:
      - application/json
      accept-encoding:
      - gzip, deflate
      connection:
      - keep-alive
      content-length:
      - '990'
      content-type:
      - application/json
      cookie:
      - __cf_bm=9.8sBYBkvBR8R1K_bVF7xgU..80XKlEIg3N2OBbTSCU-1727214102-1.0.1.1-.qiTLXbPamYUMSuyNsOEB9jhGu.jOifujOrx9E2JZvStbIZ9RTIiE44xKKNfLPxQkOi6qAT3h6htK8lPDGV_5g;
        _cfuvid=lbRdAddVWV6W3f5Dm9SaOPWDUOxqtZBSPr_fTW26nEA-1727213194587-0.0.1.1-604800000
      host:
      - api.openai.com
      user-agent:
      - OpenAI/Python 1.47.0
      x-stainless-arch:
      - arm64
      x-stainless-async:
      - 'false'
      x-stainless-lang:
      - python
      x-stainless-os:
      - MacOS
      x-stainless-package-version:
      - 1.47.0
      x-stainless-raw-response:
      - 'true'
      x-stainless-runtime:
      - CPython
      x-stainless-runtime-version:
      - 3.11.7
    method: POST
    uri: https://api.openai.com/v1/chat/completions
  response:
    body:
      string: "{\n  \"id\": \"chatcmpl-AB7daL1iS0Sfd2xYE8I6DRfQoBU5d\",\n  \"object\"\
        : \"chat.completion\",\n  \"created\": 1727214330,\n  \"model\": \"gpt-4o-2024-05-13\"\
        ,\n  \"choices\": [\n    {\n      \"index\": 0,\n      \"message\": {\n  \
        \      \"role\": \"assistant\",\n        \"content\": \"Thought: I now can\
        \ give a great answer\\nFinal Answer: Hi\",\n        \"refusal\": null\n \
        \     },\n      \"logprobs\": null,\n      \"finish_reason\": \"stop\"\n \
        \   }\n  ],\n  \"usage\": {\n    \"prompt_tokens\": 194,\n    \"completion_tokens\"\
        : 14,\n    \"total_tokens\": 208,\n    \"completion_tokens_details\": {\n\
        \      \"reasoning_tokens\": 0\n    }\n  },\n  \"system_fingerprint\": \"\
        fp_e375328146\"\n}\n"
    headers:
      CF-Cache-Status:
      - DYNAMIC
      CF-RAY:
      - 8c85f63eed441cf3-GRU
      Connection:
      - keep-alive
      Content-Type:
      - application/json
      Date:
      - Tue, 24 Sep 2024 21:45:31 GMT
      Server:
      - cloudflare
      Transfer-Encoding:
      - chunked
      X-Content-Type-Options:
      - nosniff
      access-control-expose-headers:
      - X-Request-ID
      openai-organization:
      - crewai-iuxna1
      openai-processing-ms:
      - '264'
      openai-version:
      - '2020-10-01'
      strict-transport-security:
      - max-age=31536000; includeSubDomains; preload
      x-ratelimit-limit-requests:
      - '10000'
      x-ratelimit-limit-tokens:
      - '30000000'
      x-ratelimit-remaining-requests:
      - '9999'
      x-ratelimit-remaining-tokens:
      - '29999762'
      x-ratelimit-reset-requests:
      - 6ms
      x-ratelimit-reset-tokens:
      - 0s
      x-request-id:
      - req_5b3f55032618ddfdcf27cd8a848c0f4a
    status:
      code: 200
      message: OK
version: 1
